Subject: Re: [v6ops] New Version Notification for draft-v6ops-rfc7084-bis-00.txt

From: JORDI PALET MARTINEZ <[email-masked]>
Date: Sun, 02 Apr 2017 23:47:59 +0200

Hi all,

I’ve submitted WG 00 for this document.

https://datatracker.ietf.org/doc/draft-v6ops-rfc7084-bis

I tried to incorporate all the inputs that I captured in the meeting, hopefully didn’t miss anything!, plus some minor edits.

Here is the summary for the changes:

1) Added an annex (A) regarding the code considerations as I mention in my presentation.
2) Added an annex (B) with the changes from the original RFC7084.
3) Transition mechanisms in alphabetical order.
4) Changed the IPv6-in-IPv4 transition mechanism (6RD and 6in4) to MAY instead of SHOULD.
5) Added a new section regarding IPv4 multicast support in IPv6-only-WAN.
6) Added some text regarding the PCP support to learn PLAT info in 464XLAT (RFC 7225).

I’ve one question for the WG.

In all the IPv4-in-IPv6 transition mechanisms, I’m requiring:
“The CE router MUST support the DHCPv4-over-DHCPv6 (DHCP4o6) transport described in [RFC7341].”

I got a comment that this is not needed, however, my feeling is that the configuration of certain IPv4 parameters for the CPE, during the transition, are still needed and the ISP may need that.

So, the question is, what do you think about this?

Please, note that the original RFC7084 didn’t considered this (RFC7341 didn’t exist when it was published), so the actual version is requesting this not just for the new supported transition mechanisms (lw4o6, MAP T/E, 464XLAT), but also for DS-Lite.

Please provide inputs ASAP. I will like to avoid having this document sleeping for too many weeks, and my goal is to publish a new version in about 2 weeks with any comments received.

Regards,
Jordi

-----Mensaje original-----
De: <[email-masked]>
Responder a: <[email-masked]>
Fecha: domingo, 2 de abril de 2017, 22:57
Para: Jordi Palet <[email-masked]>, Jordi Palet Martinez <[email-masked]>
Asunto: New Version Notification for draft-v6ops-rfc7084-bis-00.txt

    A new version of I-D, draft-v6ops-rfc7084-bis-00.txt
    has been successfully submitted by Jordi Palet Martinez and posted to the
    IETF repository.
    
    Name:		draft-v6ops-rfc7084-bis
    Revision:	00
    Title:		Basic Requirements for IPv6 Customer Edge Routers
    Document date:	2017-03-31
    Group:		Individual Submission
    Pages:		29
    URL:            https://www.ietf.org/internet-drafts/draft-v6ops-rfc7084-bis-00.txt
    Status:         https://datatracker.ietf.org/doc/draft-v6ops-rfc7084-bis/
    Htmlized:       https://tools.ietf.org/html/draft-v6ops-rfc7084-bis-00
    Htmlized:       https://datatracker.ietf.org/doc/html/draft-v6ops-rfc7084-bis-00

    Abstract:
       This document specifies requirements for an IPv6 Customer Edge (CE)
       router.  Specifically, the current version of this document focuses
       on the basic provisioning of an IPv6 CE router and the provisioning
       of IPv6 hosts attached to it.  The document also covers several
       transition technologies, as required in a world where IPv4 addresses
       are no longer available, so hosts in the customer LANs with IPv4-only
       or IPv6-only applications or devices, requiring to communicate with
       IPv4-only services at the Internet, are able to do so.  The document
       obsoletes RFC 7084.

    
    Please note that it may take a couple of minutes from the time of submission
    until the htmlized version and diff are available at tools.ietf.org.
    
    The IETF Secretariat

**********************************************
IPv4 is over
Are you ready for the new Internet ?
http://www.consulintel.es
The IPv6 Company

This electronic message contains information which may be privileged or confidential. The information is intended to be for the use of the individual(s) named above. If you are not the intended recipient be aware that any disclosure, copying, distribution or use of the contents of this information, including attached files, is prohibited.

---

From: <[email-masked]>
Date: Tue, 11 Apr 2017 06:23:49 +0000

Hi Jordi, 

Please see inline.

Cheers,
Med

> -----Message d'origine-----
> De : v6ops [mailto:[email-masked]] De la part de JORDI PALET
> MARTINEZ
> Envoyé : dimanche 2 avril 2017 23:48
> À : [email-masked]
> Objet : Re: [v6ops] New Version Notification for draft-v6ops-rfc7084-bis-
> 00.txt
> 
> Hi all,
> 
> I tried to incorporate all the inputs that I captured in the meeting,
> hopefully didn’t miss anything!, plus some minor edits.
> 

[Med] I suggest to delete these two sections: 

       5.4.2.  6in4  . . . . . . . . . . . . . . . . . . . . . . . .  16
       5.4.3.  6rd . . . . . . . . . . . . . . . . . . . . . . . . .  17

The revision of RFC7084 should IMHO focus on IPv6 features + requirements to offer IPv4 service continuity over an IPv6 network. 

> I got a comment that this is not needed, however, my feeling is that the
> configuration of certain IPv4 parameters for the CPE, during the
> transition, are still needed and the ISP may need that.
> 

[Med] DHCPv4-over-DHCPv6 is not a required for many of the techniques listed in this draft. I suggest to delete it from the text. 

> 
> Please, note that the original RFC7084 didn’t considered this (RFC7341
> didn’t exist when it was published), so the actual version is requesting
> this not just for the new supported transition mechanisms (lw4o6, MAP T/E,
> 464XLAT), but also for DS-Lite.
> 
> Please provide inputs ASAP. I will like to avoid having this document
> sleeping for too many weeks, and my goal is to publish a new version in
> about 2 weeks with any comments received.
> 

[Med] I have the following comments about the NAT requirements:

OLD:
   LW4O6-4:  The IPv6 CE router MUST perform IPv4 Network Address
             Translation (NAT) on IPv4 traffic encapsulated using lw4o6.

This one should mention port restricted NAT. FWIW, you can reuse the same wording in RFC7596:

"  An lwB4 MUST support dynamic port-restricted IPv4 address
   provisioning.  The port-set algorithm for provisioning this is
   described in Section 5.1 of [RFC7597].  For lw4o6, the number of
   a-bits SHOULD be 0, thus allocating a single contiguous port set to
   each lwB4." 

OLD:
   MAP*-4:  The IPv6 CE router MUST perform IPv4 Network Address
            Translation (NAT) on IPv4 traffic encapsulated using MAP-*.

Idem as above. Port-restricted NAT should be mentioned explicitly. You can reuse this text from RFC7597/RFC7599:

   The NAT44 implemented in the MAP CE SHOULD conform to the behavior
   and best current practices documented in [RFC4787], [RFC5508], and
   [RFC5382].  In MAP address-sharing mode (determined by the MAP
   domain / rule configuration parameters), the operation of the NAT44
   MUST be restricted to the available port numbers derived via the
   Basic Mapping Rule.

Further, I suggest to remove pointers to individual drafts. 

Thank you.

> This electronic message contains information which may be privileged or
> confidential. The information is intended to be for the use of the
> individual(s) named above. If you are not the intended recipient be aware
> that any disclosure, copying, distribution or use of the contents of this
> information, including attached files, is prohibited.
> 
> 
> 
> _______________________________________________
> v6ops mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/v6ops

---

From: Masanobu Kawashima <[email-masked]>
Date: Tue, 11 Apr 2017 07:12:31 +0000

Hi Jordi, 

I have comments. 

> I got a comment that this is not needed, however, my feeling is that the configuration of certain IPv4 parameters for
> the CPE, during the transition, are still needed and the ISP may need that.

They may need that function. However, it depends on their network environment, etc. 
So, I will agree with it if it will be 'MAY'. 

As for requirement [464XLAT-3], RFC5625 is mentioned about DNS Proxy 
Implementation Guidelines. It is not just for 464XLAT. 
We should remove it or may write it in other section if it is useful. 

Regards, 
Masanobu 

======================== 
 NEC Platforms, Ltd.     
 Access-Device Division  
 KAWASHIMA Masanobu      
======================== 

> -----Original Message-----
> From: v6ops [mailto:[email-masked]] On Behalf Of JORDI PALET MARTINEZ
> Sent: Monday, April 03, 2017 6:48 AM
> To: [email-masked]
> Subject: Re: [v6ops] New Version Notification for draft-v6ops-rfc7084-bis-00.txt
> 
> Hi all,
> 
> I got a comment that this is not needed, however, my feeling is that the configuration of certain IPv4 parameters for
> the CPE, during the transition, are still needed and the ISP may need that.
> 
> Please, note that the original RFC7084 didn’t considered this (RFC7341 didn’t exist when it was published), so the actual
> version is requesting this not just for the new supported transition mechanisms (lw4o6, MAP T/E, 464XLAT), but also for
> DS-Lite.
> 
> Please provide inputs ASAP. I will like to avoid having this document sleeping for too many weeks, and my goal is to publish
> a new version in about 2 weeks with any comments received.
> 
> Regards,
> Jordi
> 
> 
> This electronic message contains information which may be privileged or confidential. The information is intended to be
> for the use of the individual(s) named above. If you are not the intended recipient be aware that any disclosure, copying,
> distribution or use of the contents of this information, including attached files, is prohibited.
> 
> 
>

---

From: Mikael Abrahamsson <[email-masked]>
Date: Tue, 11 Apr 2017 09:28:56 +0200 (CEST)

On Tue, 11 Apr 2017, [email-masked] wrote:

> [Med] DHCPv4-over-DHCPv6 is not a required for many of the techniques 
> listed in this draft. I suggest to delete it from the text.

Hm, we still need to keep it for the mechanisms that actually need this, 
like lw4o6.

I understand if it's removed for the ones that do not need it.

-- 
Mikael Abrahamsson    email: [email-masked]

---

From: <[email-masked]>
Date: Tue, 11 Apr 2017 09:39:44 +0000

Re-,

I think we are in agreement, Mikael. 

Actually, the only RFC that cites DHCPv4 over DHCPv6 is RFC7596. So, at most that item may be listed for lw4o6 but be removed from other sections.

Note that for RFC7596, it says the following: 

" If stateful IPv4 configuration or
  ^^
   additional IPv4 configuration information is required, DHCP 4o6
   [RFC7341] MUST be used."

And 

   In addition to the DHCPv6-based mechanism described in Section 5.1,
   several other IPv4 provisioning protocols have been suggested.  These
   protocols MAY be implemented.  These alternatives include:
   o  DHCPv4 over DHCPv6: [RFC7341] describes implementing DHCPv4
      messages over an IPv6-only service provider's network.  This
      enables leasing of IPv4 addresses and makes DHCPv4 options
      available to the DHCPv4-over-DHCPv6 client.  An lwB4 MAY implement
                                                   ^^^^^^^^^^^^^^^^^^^^^^
      [RFC7341] and [Dyn-Shared-v4Alloc] to retrieve a shared IPv4
      ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
      address with a set of ports. 

Cheers,
Med

> De : Mikael Abrahamsson [mailto:[email-masked]]
> Envoyé : mardi 11 avril 2017 09:29
> À : BOUCADAIR Mohamed IMT/OLN
> Cc : [email-masked]; [email-masked]

---

From: JORDI PALET MARTINEZ <[email-masked]>
Date: Tue, 11 Apr 2017 15:37:37 +0200

Hi all,

Thanks all for the inputs.

Responding on this to Mohamed, Masanobu and Mikael.

Fully agree. I’m editing a new version, which will remove the DHCP 4o6 for MAP E/T and only keep it as a must for lw4o6.

Masanobu, I think it should be a must, to conform with RFC7596, where is already a MUST.

Mohamed, Dyn-Shared-v4Alloc is already RFC7618. In RFC7596, it is a MAY, and seems to be applicable to both lw4o6 and MAP-E. Do you have an opinion about if we should make more explicit it, by including as MAY support for RFC7618 for both (lw4o6 and MAP-E) ?

Regards,
Jordi

-----Mensaje original-----
De: <[email-masked]>
Responder a: <[email-masked]>
Fecha: martes, 11 de abril de 2017, 11:39
Para: Mikael Abrahamsson <[email-masked]>
CC: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Asunto: RE: [v6ops] New Version Notification for draft-v6ops-rfc7084-bis-00.txt

    Re-,

    

    And 

    Cheers,
    Med

---

From: JORDI PALET MARTINEZ <[email-masked]>
Date: Tue, 11 Apr 2017 16:07:35 +0200

Hi Masanobu,

Regarding RFC5625, I think you’re right.

Even if this is explicitly mention in section 6.4 of RFC6877, it is also mention in other transition mechanism.

Unless I heard otherwise from the WG, I think it will be correct to remove it from 464XLAT and include it as a general LAN requirement.

Regards,
Jordi

-----Mensaje original-----
De: Masanobu Kawashima <[email-masked]>
Responder a: <[email-masked]>
Fecha: martes, 11 de abril de 2017, 9:12
Para: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Asunto: RE: New Version Notification for draft-v6ops-rfc7084-bis-00.txt

    Hi Jordi, 
    
    I have comments. 

    
    
    Regards, 
    Masanobu 
    
    ======================== 
     NEC Platforms, Ltd.     
     Access-Device Division  
     KAWASHIMA Masanobu      
    ========================

---

From: <[email-masked]>
Date: Tue, 11 Apr 2017 14:21:01 +0000

Re-,

Please see inline. 

Cheers,
Med

> Envoyé : mardi 11 avril 2017 15:38
> À : [email-masked]
> Fully agree. I’m editing a new version, which will remove the DHCP 4o6 for
> MAP E/T

[Med] OK, thank you.  I guess it was also removed for DS-Lite and XLAT.

 and only keep it as a must for lw4o6.
> Mohamed, Dyn-Shared-v4Alloc is already RFC7618. In RFC7596, it is a MAY,
> and seems to be applicable to both lw4o6 and MAP-E. Do you have an opinion
> about if we should make more explicit it, by including as MAY support for
> RFC7618 for both (lw4o6 and MAP-E) ?

[Med] A simple approach is to follow the requirements as worded in RFC7596 and RFC7597, i.e.,:
* no mention of RFC7618 for MAP-E
* use the same wording as in RFC7596 for lw4o6: MAY.  

>     Actually, the only RFC that cites DHCPv4 over DHCPv6 is RFC7596. So,
> at most that item may be listed for lw4o6 but be removed from other
> sections.
>

---

From: <[email-masked]>
Date: Tue, 11 Apr 2017 14:24:43 +0000

Re-,

Please note that RFC6333 says the following: 

"As such, the B4 element SHOULD
   implement a DNS proxy, following the recommendations of [RFC5625]."

Using a MUST for RFC5625 for all the mechanisms will conflict with the text above from RFC6333. 

Cheers,
Med

> Envoyé : mardi 11 avril 2017 16:08
> À : [email-masked]
> Unless I heard otherwise from the WG, I think it will be correct to remove
> it from 464XLAT and include it as a general LAN requirement.
> 
> Regards,
> Jordi
> 
> 
>     > I got a comment that this is not needed, however, my feeling is that
> the configuration of certain IPv4 parameters for
>     > I tried to incorporate all the inputs that I captured in the
> meeting, hopefully didn’t miss anything!, plus some minor
>     > edits.
>     >
>     > I got a comment that this is not needed, however, my feeling is that
> the configuration of certain IPv4 parameters for
>     > Please, note that the original RFC7084 didn’t considered this
> (RFC7341 didn’t exist when it was published), so the actual
>     > version is requesting this not just for the new supported transition
> mechanisms (lw4o6, MAP T/E, 464XLAT), but also for
>     > DS-Lite.
>     >
>     > Please provide inputs ASAP. I will like to avoid having this
> document sleeping for too many weeks, and my goal is to publish
>     > This electronic message contains information which may be privileged
> or confidential. The information is intended to be
>     > for the use of the individual(s) named above. If you are not the
> intended recipient be aware that any disclosure, copying,

---

From: JORDI PALET MARTINEZ <[email-masked]>
Date: Tue, 11 Apr 2017 16:41:58 +0200

Hi Mohamed,

In-line

Saludos,
Jordi

-----Mensaje original-----
De: <[email-masked]>
Responder a: <[email-masked]>
Fecha: martes, 11 de abril de 2017, 16:21
Para: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Asunto: RE: [v6ops] New Version Notification for draft-v6ops-rfc7084-bis-00.txt

    Re-,
    
    Please see inline. 
    
    Cheers,
    Med

    

[Jordi] Yes, *only* keeping it for lw4o6

[Jordi] I’m also considering using MAY for MAP-E, as it seems that, according to RFC7618 applicability statement it is used in certain configurations of MAP-E.

---

From: JORDI PALET MARTINEZ <[email-masked]>
Date: Tue, 11 Apr 2017 16:47:47 +0200

You’re right. I’ve double checked all the transition mechs and all them use should for the DNS proxy, so I will keep the same.

Saludos,
Jordi

-----Mensaje original-----
De: <[email-masked]>
Responder a: <[email-masked]>
Fecha: martes, 11 de abril de 2017, 16:24
Para: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Asunto: RE: New Version Notification for draft-v6ops-rfc7084-bis-00.txt

    Re-,

    
    
    Cheers,
    Med

---

From: <[email-masked]>
Date: Tue, 11 Apr 2017 14:56:12 +0000

Re-,

Listing RFC7618 for MAP-E is odd if DHCPv4 over DHCPv6 is not required for MAP-E. 

Cheers,
Med

> Envoyé : mardi 11 avril 2017 16:42
> À : [email-masked]
>     > Masanobu, I think it should be a must, to conform with RFC7596,
> where is
>     > already a MUST.
>     >
> [Jordi] I’m also considering using MAY for MAP-E, as it seems that,
> according to RFC7618 applicability statement it is used in certain
> configurations of MAP-E.
> 
>     >
>     > Regards,
>     > Jordi
>     >
>     >
>     > Asunto: RE: [v6ops] New Version Notification for draft-v6ops-
> rfc7084-bis-
>     > 00.txt
>     >
>     >     Re-,
>     >
>     >        several other IPv4 provisioning protocols have been
> suggested.
>     > These
>     >     > Hm, we still need to keep it for the mechanisms that actually
> need
>     > this,
>     >     > like lw4o6.
>     >     >
> or

---

From: JORDI PALET MARTINEZ <[email-masked]>
Date: Tue, 11 Apr 2017 17:04:17 +0200

Hi again ;-)

See in-line.

Saludos,
Jordi

-----Mensaje original-----
De: <[email-masked]>
Responder a: <[email-masked]>
Fecha: martes, 11 de abril de 2017, 8:23
Para: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Asunto: RE: New Version Notification for draft-v6ops-rfc7084-bis-00.txt

    Hi Jordi, 
    
    Please see inline.
    
    Cheers,
    Med

    

[Jordi] I fully agree with the focus of this document to be IPv6-only access and IPv4 as an overlay service. However, it also makes sense to find a compromise, considering that this support was already required in the previous version of this document for IPv6-in-IPv4 technologies and it has actually been included in the products in the market. What I see is the situation of many ISPs that start with either dual-stack in the WAN or IPv6-in-IPv4 when dual-stack is not possible, and then they move to IPv6-only when they run-out of IPv4 addresses. Keeping 6in4 protocols support avoids the ISPs to replace the CE, but do a gradual “migration” from IPv4-only-WAN to IPv6-only-WAN. This is why I think is reasonable to keep them but only as MAY instead of SHOULD (as in the original RFC7084).

[Jordi] I think the status is now clear from the previous emails exchanged.

    
    OLD:

    OLD:

[Jordi] Yes, this has been already modified in the version I’m working on. I don’t think is necessary to include the full text, just a reference to port-restricted, as we are in any case mandating the usage of each of the transition mechs RFCs.

[Jordi] I guess you refer to draft-li-intarea-nat64-prefix-dhcp-option ? I’m still considering it … I’m keeping the text at the time being for some more discussion about that option and also this document itself.
    
    Thank you.

---

From: JORDI PALET MARTINEZ <[email-masked]>
Date: Tue, 11 Apr 2017 17:48:32 +0200

I see your point, but then, if we follow the text in RFC7618:

Applicability Statement

   The solution allows multiple hosts to be simultaneously allocated the
   same IP address.  As the IP address is no longer a unique identifier
   for a host, this solution is only suitable for specific architectures
   based on the Address plus Port model (A+P) [RFC6346].  Specifically,
   this document presents a solution that applies to [RFC7596] and
   certain configurations of [RFC7597] (e.g., Embedded Address bit
   (EA-bit) length set to 0).

It seems a discrepancy not asking for DHCP 4o6 as well in MAP-E.

Should either that be clarified in RFC7618, and meanwhile we should include (in RFC7084-bis) for MAP-E support as MAY for both DHCP 4o6 and RFC7618.

Regards,
Jordi

-----Mensaje original-----
De: <[email-masked]>
Responder a: <[email-masked]>
Fecha: martes, 11 de abril de 2017, 16:56
Para: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Asunto: RE: [v6ops] New Version Notification for draft-v6ops-rfc7084-bis-00.txt

    Re-,

    Cheers,
    Med

---

From: <[email-masked]>
Date: Wed, 12 Apr 2017 05:57:29 +0000

Hi Jordi, 

There is no need to over-specify for MAP-E, here. The use of the DHCPv6 option to provision the CE is sufficient.

RFC7084-bis should not require more than what was recorded in the specification of each mechanism. Thank you.

Cheers,
Med

> Envoyé : mardi 11 avril 2017 17:49
> À : [email-masked]
> Should either that be clarified in RFC7618, and meanwhile we should
> include (in RFC7084-bis) for MAP-E support as MAY for both DHCP 4o6 and
> RFC7618.
> 
> Regards,
> Jordi
> 
> 
>     >     > Fully agree. I’m editing a new version, which will remove the
> DHCP
>     > 4o6 for
>     >     > MAP E/T
>     >
>     >     [Med] OK, thank you.  I guess it was also removed for DS-Lite
> and
>     > XLAT.
>     >
>     >     > Mohamed, Dyn-Shared-v4Alloc is already RFC7618. In RFC7596, it
> is a
>     > MAY,
>     >     > and seems to be applicable to both lw4o6 and MAP-E. Do you
> have an
>     > opinion
>     >     [Med] A simple approach is to follow the requirements as worded
> in
>     > RFC7596 and RFC7597, i.e.,:
>     >     >     Actually, the only RFC that cites DHCPv4 over DHCPv6 is
> RFC7596.
>     > So,
>     >     >        additional IPv4 configuration information is required,
> DHCP
>     > 4o6
>     >     >        [RFC7341] MUST be used."
>     >     >
>     >     >     And
>     >     >
>     >     >           messages over an IPv6-only service provider's
> network.
>     > This
>     >     >           available to the DHCPv4-over-DHCPv6 client.  An lwB4
> MAY
>     >     > implement
>     >     >
>     >     > ^^^^^^^^^^^^^^^^^^^^^^
>     >     >           [RFC7341] and [Dyn-Shared-v4Alloc] to retrieve a
> shared
>     > IPv4
>     >     >     > Objet : Re: [v6ops] New Version Notification for draft-
> v6ops-
>     >     > rfc7084-bis-
>     >     >     > 00.txt
>     >     >     >
>     >     >     > > [Med] DHCPv4-over-DHCPv6 is not a required for many of
> the
>     >     > techniques
>     >     > individual(s) named above. If you are not the intended
> recipient be
>     > aware
>     >     > that any disclosure, copying, distribution or use of the
> contents of
>     > this